package org.jdtaus.banking.dtaus.swing;

import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class ConfigurationDialogBundle{ 

/** <pre> Allow invalid bankcodes.</pre>. */
public static String getValidateBankcodesCheckboxText(final Locale locale) {
    return getMessage("validateBankcodesCheckbox", locale);
}

/** <pre> Allow invalid bankcodes.</pre>. */
public static MessageFormat getValidateBankcodesCheckboxMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("validateBankcodesCheckbox", locale), locale);
}

/** <pre> Configuration</pre>. */
public static String getTitleText(final Locale locale) {
    return getMessage("title", locale);
}

/** <pre> Configuration</pre>. */
public static MessageFormat getTitleMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("title", locale), locale);
}

/** <pre> Delete logical files without confirmation.</pre>. */
public static String getConfirmHeaderDeletionCheckboxText(final Locale locale) {
    return getMessage("confirmHeaderDeletionCheckbox", locale);
}

/** <pre> Delete logical files without confirmation.</pre>. */
public static MessageFormat getConfirmHeaderDeletionCheckboxMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("confirmHeaderDeletionCheckbox", locale), locale);
}

/** <pre> Delete payments without confirmation.</pre>. */
public static String getConfirmTransactionDeletionCheckboxText(final Locale locale) {
    return getMessage("confirmTransactionDeletionCheckbox", locale);
}

/** <pre> Delete payments without confirmation.</pre>. */
public static MessageFormat getConfirmTransactionDeletionCheckboxMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("confirmTransactionDeletionCheckbox", locale), locale);
}

/** <pre> Application</pre>. */
public static String getApplicationPanelTitleText(final Locale locale) {
    return getMessage("applicationPanelTitle", locale);
}

/** <pre> Application</pre>. */
public static MessageFormat getApplicationPanelTitleMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("applicationPanelTitle", locale), locale);
}

/** <pre> Overwrite files without confirmation.</pre>. */
public static String getConfirmOverwriteCheckboxText(final Locale locale) {
    return getMessage("confirmOverwriteCheckbox", locale);
}

/** <pre> Overwrite files without confirmation.</pre>. */
public static MessageFormat getConfirmOverwriteCheckboxMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("confirmOverwriteCheckbox", locale), locale);
}

private static String getMessage(final String key, Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
    return ResourceBundle.getBundle(
        "org.jdtaus.banking.dtaus.swing.ConfigurationDialog", locale).getString(key);
}

}
