package org.jdtaus.banking.dtaus.swing;

import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class LogicalFileRendererBundle{ 

/** <pre> Payment count:</pre>. */
public static String getTransactionCountText(final Locale locale) {
    return getMessage("transactionCount", locale);
}

/** <pre> Payment count:</pre>. */
public static MessageFormat getTransactionCountMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("transactionCount", locale), locale);
}

/** <pre> Sum target bank:</pre>. */
public static String getSumTargetBankText(final Locale locale) {
    return getMessage("sumTargetBank", locale);
}

/** <pre> Sum target bank:</pre>. */
public static MessageFormat getSumTargetBankMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("sumTargetBank", locale), locale);
}

/** <pre> Sum target account:</pre>. */
public static String getSumTargetAccountText(final Locale locale) {
    return getMessage("sumTargetAccount", locale);
}

/** <pre> Sum target account:</pre>. */
public static MessageFormat getSumTargetAccountMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("sumTargetAccount", locale), locale);
}

/** <pre> Sum amount:</pre>. */
public static String getSumAmountText(final Locale locale) {
    return getMessage("sumAmount", locale);
}

/** <pre> Sum amount:</pre>. */
public static MessageFormat getSumAmountMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("sumAmount", locale), locale);
}

private static String getMessage(final String key, Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
    return ResourceBundle.getBundle(
        "org.jdtaus.banking.dtaus.swing.LogicalFileRenderer", locale).getString(key);
}

}
