package org.jdtaus.banking.swing;

import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class BankleitzahlTextFieldBundle{ 

/** <pre> Unknown bankcode {0}.</pre>. */
public static String getUnknownBankcodeWarningText(final Locale locale) {
    return getMessage("unknownBankcodeWarning", locale);
}

/** <pre> Unknown bankcode {0}.</pre>. */
public static MessageFormat getUnknownBankcodeWarningMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("unknownBankcodeWarning", locale), locale);
}

private static String getMessage(final String key, Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
    return ResourceBundle.getBundle(
        "org.jdtaus.banking.swing.BankleitzahlTextField", locale).getString(key);
}

}
